Page MenuHomePhabricator

Fix Install Script For Some Versions of Ubuntu
Closed, ResolvedPublic0 Story Points

Description

Some versions of Ubuntu can't install docker-ce and docker-ce-cli and need to install docker.
https://docs.docker.com/install/linux/docker-ce/ubuntu/

We should update the install script to check for these versions.

Event Timeline

jeena created this task.May 18 2019, 2:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2019, 2:13 PM

From docs:

To install Docker CE, you need the 64-bit version of one of these Ubuntu versions:

Cosmic 18.10
Bionic 18.04 (LTS)
Xenial 16.04 (LTS)

I hadn't noticed this previously - so I'm assuming folks on anything earlier than 16.04 LTS (I hope people aren't, but I wouldn't be shocked either) or any of 16.10, 17.04, 17.10, or 19.04 are out of luck with the installer as it stands.

I think we should definitely try to support the latest LTS release (or two?), along with probably anything newer than the latest LTS, but this also highlights that we should formally delineate exactly what systems we're committed to supporting (and for how long).

greg triaged this task as Normal priority.May 28 2019, 9:09 PM

Taking a step back, I now wonder if we even need to install docker on host machines by default? Assuming people don't have to jump through any hoops to build images locally, which ideally should be the case...

jeena added a comment.Jun 3 2019, 3:29 PM

Yes, I think we could possibly remove docker from the equation.

Cool. I'll push a patch for that shortly.

jeena moved this task from Backlog to In-progress on the local-charts board.Jun 3 2019, 6:42 PM

Change 514166 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[releng/local-charts@master] prereqs: Remove docker installation steps

https://gerrit.wikimedia.org/r/514166

Change 514166 merged by Brennen Bearnes:
[releng/local-charts@master] prereqs: Remove docker installation steps

https://gerrit.wikimedia.org/r/514166

brennen closed this task as Resolved.Jun 18 2019, 9:37 PM
brennen claimed this task.